import { Content } from './content';
import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';
import { Observable } from 'rxjs/Observable';
export declare class ContentsService {
    private http;
    private util;
    private userId;
    private backendServerAddress;
    private concepts;
    private getContentUrl;
    private uploadContentFileUrl;
    private updateContentUrl;
    constructor(http: HttpClient);
    getContent(): Observable<Content[]>;
    contentsJsonToArray(json: any): Content[];
    uploadFile(file: File): Observable<Content[]>;
    updateContent(content: Array<Content>): Observable<any>;
}
